WordPress.org

日本語

サポート

サポート » バグ報告と提案 » ダッシュボード・サイトがエラー画面(Fatal error)になる

ダッシュボード・サイトがエラー画面(Fatal error)になる

  • 解決済 kon

    @kyota-konno

    以下、事象が発生し困っております。
    解決方法をご教授いただけますでしょうか。

    ●事象
    サイト、及びダッシュボードで以下エラーが表示される

    ●ブラウザに表示されたエラー内容
    Fatal error: Class ‘Requests_Response’ not found in …/xxx/…/wordpress-3.5-ja-jetpack-undernavicontrol/wp-includes/class-requests.php on line 629

    ※ディレクトリはxxxで伏せております

    ●再現方法
    ・プラグイン(wp-admin/plugins.php)にアクセスしようとしたとき(必ず発生)
    ・更新画面(wp-admin/update-core.php)にアクセスしようとしたとき(必ず発生)
    ・その他画面では時々発生しますがリロードすると直ります
    ※エラー画面以外は正常に動作しております

    ●補足
    ・Wordpressをアップデートやカスタマイズをしておらず、突然発生するようになりました
    ・Wordpressやプラグイン最新バージョンにアップデートしたくても、該当ページがエラー出ているためできません
    ・色々記事を探しましたが、同様のバグが見つかりませんでした

6件の返信を表示中 - 1 - 6件目 (全6件中)
  • WordPress 4.7.2 を使用中となっていますが、
    WordPress 3.5 時代から、カスタマイズをしておらず、ということなら当時のテーマをそのまま使っているでしょうか。

    kon

    @kyota-konno

    ご返信ありがとうございました。
    テーマは、Pinbord(https://ja.wordpress.org/themes/pinboard/)というのを使っています。
    Pinbordの更新が入るたびに、一応更新はかけていました。

    kon

    @kyota-konno

    解決しました。

    どうにもこうにもならなかったので、wp-content以外のファイルを削除して、手動でWordpressファイル一式(wp-content以外)アップロードしたところ、無事動作するようになりました。

    原因不明のままでしたが、良かったです。

    Du bist der Lenzさん
    ありがとうございました!

    Du bist der Lenz

    @du-bist-der-lenz

    このテーマは2年以上更新されていません。すでにメンテナンスされていないか、サポートされていないため、最新のバージョンの WordPress と互換性の問題があるかもしれません。

    忠告がでてます。WordPress 4.7.2 を使用中で、PHP5.6以上で、Twenty Seventeen に変更してエラーが出るか確認しましょう。古いテーマなので、わたしは検証しません。

    Du bist der Lenz

    @du-bist-der-lenz

    解決良かったです。
    手動の更新が一番確かです。ついでにサーバーのコントロールパネルで「PHPバージョン」を5.6以上に変更しましょう。
    また「wordpress-3.5-ja-jetpack-undernavicontrol」のままの運用よりも、新しいディレクトリに作り直しを奨めます。

    kon

    @kyota-konno

    なるほど、アドバイスありがとうございます!

6件の返信を表示中 - 1 - 6件目 (全6件中)
  • このトピックに返信するにはログインが必要です。
ツールバーへスキップ